Skip to main content
PUT
/
projects
/
{projectId}
Update project by ID
curl --request PUT \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "customer_id": 1,
  "name": "some string",
  "description": "some string",
  "status": 1,
  "status_id": 1,
  "status_workflow_id": 1,
  "location_id": 1,
  "location": "some string",
  "start_time": 1234567890,
  "end_time": 1234567890,
  "notes": "some string",
  "job_notes": "some string",
  "completion_percentage": "1"
}
'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Path Parameters

projectId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response